Subject: need info

From: [email-masked] (James Pettit)
Date: 20 Mar 1995 11:06:14 GMT

Would appreciate any information about FORMES JAPONICA or MADDANNIA LORI 
FORMES.  It is said to be a medicinal plant widely used in China and 
Southeast Asia.  All replies and suggestions for further research 
appreciated.